Page MenuHomePhabricator

Deploy InternetArchiveBot on Cantonese Wikipedia (zh-yuewiki)
Closed, ResolvedPublic

Description

Hi Cyberpower678 and IABot team. Not a bug report but rather a heads up for a deployment request. There's a discussion on the Cantonese Wikipedia discussing whether we should deploy IABot. What's the procedure if we decide to go ahead?

Discussion here: https://zh-yue.wikipedia.org/wiki/Wikipedia:%E5%9F%8E%E5%B8%82%E8%AB%96%E5%A3%87_(%E6%8F%90%E8%AD%B0)#%E5%BC%95%E9%80%B2InternetArchiveBot%EF%BC%88IABot%EF%BC%89

Event Timeline

Liuxinyu970226 renamed this task from Cantonese Wikipedia wants in, maybe to Deploy InternetArchiveBot on Cantonese Wikipedia (zh-yuewiki).Feb 25 2018, 1:58 PM

Note that as far as I've heard, this Wikipedia is a candidate for the future domain renaming as per well-known T30441, so how to continue supporting this wiki after domain renaming could be a blocker for us.

Renaming to what?

Liuxinyu970226 added a comment.EditedFeb 25 2018, 2:26 PM

Renaming to what?

yue.wikipedia.org


Also, the main point of my comment above is not the detail of that task, is however if one day the domain is renamed, how do you make sure that your bot is still working under new domain.

Renaming to what?

yue.wikipedia.org


Also, the main point of my comment above is not the detail of that task, is however if one day the domain is renamed, how do you make sure that your bot is still working under new domain.

The bot's domain is not auto-generated, it's defined in a configuration file. So I would just update the domain in the config to keep it working.

Cyberpower678 triaged this task as High priority.Feb 25 2018, 8:58 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.
Roy17 added a subscriber: Roy17.Feb 27 2018, 12:17 PM

So how is this named in the database? yuewiki or zh-yuewiki? IABot needs the correct identifier.

Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 1 2018, 12:51 AM

Yep, I just found it, but I pinged the DB in quarry directly. :p https://quarry.wmflabs.org/query/27344

@deryckchan Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get things moving.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
Dzahn removed a subscriber: Dzahn.Jun 7 2018, 12:33 PM

@Cyberpower678 Will you please explain how these messages get used:

  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • {problem} with error {error}
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

@Cyberpower678 Will you please explain how these messages get used:

  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • {problem} with error {error}
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

The last one is the section header used for standard talk page messages. The first 3 likely won't be used, but are a part of IABot and would prefer they be translated.

deryckchan added a comment.EditedAug 21 2018, 5:33 PM

Okay. Here are all the answers for the translations and questions earlier in this thread:

External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

對外連結有變 ({{subst:CURRENTYEAR}}年{{subst:CURRENTMONTH1}}月)

Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.

各位編輯仝人:\n\n我啱啱救返[[{namespacepage}]]上面嘅 {linksrescued} 個對外連結。麻煩檢查下[{diff} 我改嘅嘢]。有咩查詢,或者想隻機械人唔理啲外連,或者想隻機械人成版唔好掂,請睇[[:m:InternetArchiveBot/FAQ|呢版簡明嘅問答頁]]。我改咗呢啲外連:\n{modifiedlinks}\n如果隻機械人有錯,請睇問答頁嘅指示。\n\n唔該晒!

External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

呢啲對外連結有錯要改: ({{subst:CURRENTYEAR}}年{{subst:CURRENTMONTH1}}月)

Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

各位編輯仝人:\n\n我發現[[{namespacepage}]]有對外連結需要整整。麻煩檢查下呢啲連結,有需要嘅話喺篇文度改啱佢哋。有以下嘅問題:\n{modifiedlinks}\n麻煩檢查完呢啲連結之後,去[[:m:InternetArchiveBot/FAQ|呢版簡明嘅問答頁]]睇下點處理以上嘅問題。\n\n呢個係關於呢堆對外連結嘅唯一一次通知。\n\n唔該晒。

Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

文章連結留底時出錯 ({{subst:CURRENTYEAR}}年{{subst:CURRENTMONTH1}}月)

Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.

你好。留底期間,檔案庫話有啲網站搞唔到。\n以下係有問題嘅對外連結同埋錯誤訊息。\n\n{problematiclinks}\n呢個係唯一一次通知,因為我唔會再嘗試幫呢啲對外連結留底。\n\n唔該晒。

{link} is found to be dead. Recommend adding {newarchive} to the original URL.

{link} 死咗。建議加 {newarchive} 落個網址度。

{link} is found to be dead. No archive was found.

{link} 死咗。搵唔到存檔。

{link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.

{link} 之前以為死咗,但原來仲用得。建議拎走個「失效連結」標籤。

Added archive {newarchive} to {link}

加咗存檔 {newarchive} 落 {link}

Replaced archive link {oldarchive} with {newarchive} on {link}

將 {link} 嘅存檔連結由 {oldarchive} 換做 {newarchive}

Corrected formatting/usage for {link}

改返啱 {link} 嘅格式或用法

Added {{tlx|dead link}} tag to {link}

加咗 {{tlx|dead link}} 標籤落 {link}

Removed dead tag from {link}

由 {link} 攞走咗失效連結標籤

Modified source for {link}

改咗 {link} 來源

{problem} with error {error}

有問題:{problem},出咗錯:{error}

Rescuing {linksrescued} sources and tagging {linkstagged} as dead.

救返{linksrescued}個出處、嘜低{linkstagged}個死咗。

Notification of errors encountered when attempting to archive links

通知:嘗試幫引用來源留底時出錯

Notification of altered sources needing review

通知:引用來源改咗,需要檢查

Do you want talk page messages? --Sure

Do you use dead link templates and archive templates? --w:yue:Template:Dead link. We have talk page archive templates; link archive templates are imported from en.wp as part of the cite templates.

Where are your cite templates? --See w:yue:MediaWiki:Visualeditor-cite-tool-definition.json

What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones? --Typical: 2018年8月21號 (二) 16:47 (UTC); other standard formats: w:yue:Module:Wikidata/i18n; ISO dates (2018-08-21); and any date formats that are used in Chinese and English

Question. Is the bot approved? If not, where do I got to file for approval?

deryckchan added a subscriber: shinjiman.EditedAug 21 2018, 7:19 PM

I don't think it's formally approved yet, though I don't expect any
opposition.

WP:BRFA exists on the Cantonese Wikipedia. Can you post your standard bot
request there and ping @shinjiman ?

[edited on 22 Aug per shinjiman's correction below]

The bot request page is located in WP:BRFA for the Cantonese Wikipedia.

Bot is ready for a trial.

I've edited 3 of the translated messages in my big post above per @Roy17 's comment on https://zh-yue.wikipedia.org/wiki/Wikipedia:城市論壇 after I posted my translations here yesterday.

I've edited 3 of the translated messages in my big post above per @Roy17 's comment on https://zh-yue.wikipedia.org/wiki/Wikipedia:城市論壇 after I posted my translations here yesterday.

You can actually make the changes yourself by going to https://tools.wmflabs.org/iabot/index.php?page=wikiconfig&wiki=zh_yuewiki if you're a sysop on that wiki.

I've edited 3 of the translated messages in my big post above per @Roy17 's comment on https://zh-yue.wikipedia.org/wiki/Wikipedia:城市論壇 after I posted my translations here yesterday.

You can actually make the changes yourself by going to https://tools.wmflabs.org/iabot/index.php?page=wikiconfig&wiki=zh_yuewiki if you're a sysop on that wiki.

Okay :) That page currently says "Sorry, but the language you have picked is not available yet." I'll try again when the bot deployment is complete.

I've edited 3 of the translated messages in my big post above per @Roy17 's comment on https://zh-yue.wikipedia.org/wiki/Wikipedia:城市論壇 after I posted my translations here yesterday.

You can actually make the changes yourself by going to https://tools.wmflabs.org/iabot/index.php?page=wikiconfig&wiki=zh_yuewiki if you're a sysop on that wiki.

Okay :) That page currently says "Sorry, but the language you have picked is not available yet." I'll try again when the bot deployment is complete.

That's the UI language. The bot is available there. You might as well set the UI to English, not to be confused with the English Wikipedia.

Okay :) That page currently says "Sorry, but the language you have picked is not available yet." I'll try again when the bot deployment is complete.

That's the UI language. The bot is available there. You might as well set the UI to English, not to be confused with the English Wikipedia.

I also got

Permission error
The action you are trying to perform requires the configurewiki permission.
This permission is obtainable with the following groups: admin, root

Perhaps the user list hasn't been sync'ed up yet?

Cyberpower678 added a comment.EditedAug 23 2018, 1:30 PM

Okay :) That page currently says "Sorry, but the language you have picked is not available yet." I'll try again when the bot deployment is complete.

That's the UI language. The bot is available there. You might as well set the UI to English, not to be confused with the English Wikipedia.

I also got

Permission error
The action you are trying to perform requires the configurewiki permission.
This permission is obtainable with the following groups: admin, root

Perhaps the user list hasn't been sync'ed up yet?

You would get that if you're not a sysop on zh_yuewiki. The user list doesn't need syncing it pulls live information from your account.

Can you upload a screenshot?

It looks like you're not listed as an admin on the interface.

https://tools.wmflabs.org/iabot/index.php?page=metainfo will tell you what you need to be auto-granted adminship on the tool.

You're missing 1500 of the 6000 required edits to become an admin. I've gone ahead and manually added the bit to your account, as I doubt you will be irresponsible with the privileges.

You're missing 1500 of the 6000 required edits to become an admin. I've gone ahead and manually added the bit to your account, as I doubt you will be irresponsible with the privileges.

Aye, I ought to have worked harder. Thanks :D

I did a small batch run with a few featured and formerly featured articles:
https://tools.wmflabs.org/iabot/index.php?page=viewjob&id=2390

The status bar says
Pages modified: 4
Links analyzed: 84
Links rescued: 8

But it doesn't seem like any of the pages got modified?

It's probably hitting a captcha since it's missing the bot flag. I haven't seen any activity at my BRFA request.

I've given it autopatrolled + confirmed flags for 24 hours and it managed to save the pages. I think the test worked. @shinjiman - I think this bot is good to go.

My only question at this point is: how to localize the "报告软件缺陷" talk page link which is currently in zh-cn?

Well that's in the signature, and Google Translate did not offer Cantonese.

Please change it to
報告程式錯誤

(or 報告軟件缺陷 if you prefer translations for closely related languages to be aligned - this message is 100% technical terminology anyway)

Thanks :)

Bot is approved.

Great. It looks like the bot hasn't edited anything since last week's tests
though? Is it supposed to start scanning mainspace pages for dead links to
fix?

Roy17 added a comment.Sep 12 2018, 1:18 PM

The bot has been inactive since 24 Aug.

Roy17 added a comment.EditedSep 28 2018, 6:30 PM

Hello @Cyberpower678 ! The bot has not made any edits since 24 Aug. Could you please take a look whether there might be some technical problem? Thanks a lot!

Cyberpower678 closed this task as Resolved.Nov 25 2018, 8:25 PM